NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Preferences::SessionSketch Class Reference

Represents the set of sketch preferences applicable to entire session
To obtain an instance of this class, refer to NXOpen::Preferences::SessionPreferences

Created in NX3.0.0. More...

Public Types

enum  BackgroundType { BackgroundTypeInherit, BackgroundTypePlain }
 Describes the available sketch background types. More...
 
enum  GroupConstraintType { GroupConstraintTypePreventConflict, GroupConstraintTypePreserveAll }
 Represents the constraint management option when creating a rigid or scalable sketch group. More...
 
enum  OriginType { OriginTypeInferFromPlaneSelection, OriginTypeProjectWorkPartOrigin }
 Describes the available sketch origin types. More...
 
enum  RigidSetConstraintType { RigidSetConstraintTypePreventConflict, RigidSetConstraintTypePreserveAll }
 Represents the constraint management option when creating a rigid sketch group. More...
 

Public Member Functions

bool AutoDimensionsToArcCenter ()
 Returns the setting that controls whether or not auto-dimensions are created to arc centers. More...
 
NXOpen::Preferences::SessionSketch::BackgroundType BackgroundOption ()
 Returns the background option
Created in NX5.0.0. More...
 
bool ChangeViewOrientation ()
 Returns the setting that controls whether the view orientation will be changed to align with the sketch when the sketch is activated. More...
 
double ConstraintSymbolSize ()
 Returns the constraint symbol size. More...
 
bool ContinuousAutoDimensioning ()
 Returns the setting that controls whether or not to continuously create auto dimensions in a sketch. More...
 
bool CreateInferredConstraints ()
 Returns the setting that controls whether or not to create inferred constraints
Created in NX6.0.0. More...
 
NXString DefaultArcNamePrefix ()
 Returns the default arc name prefix
Created in NX3.0.0. More...
 
NXString DefaultConicNamePrefix ()
 Returns the default conic name prefix
Created in NX3.0.0. More...
 
NXString DefaultLineNamePrefix ()
 Returns the default line name prefix
Created in NX3.0.0. More...
 
NXString DefaultSketchNamePrefix ()
 Returns the default sketch name prefix
Created in NX3.0.0. More...
 
NXString DefaultSplineNamePrefix ()
 Returns the default spline name prefix
Created in NX3.0.0. More...
 
NXString DefaultVertexNamePrefix ()
 Returns the default vertex name prefix
Created in NX3.0.0. More...
 
bool DelayEvaluation ()
 Returns the setting that controls whether or not the sketch should be evaluated when a constraint is added to the sketch. More...
 
NXOpen::Preferences::SketchPreferences::DimensionLabelType DimensionLabel ()
 Returns the dimension label
Created in NX3.0.0. More...
 
bool DisplayAutoDimensions ()
 Returns the setting that controls whether or not to display auto dimensions
Created in NX11.0.0. More...
 
bool DisplayConstraintSymbols ()
 Returns the setting that controls whether or not to display constraint symbols
Created in NX8.5.0. More...
 
bool DisplayDOFArrows ()
 Returns the setting that controls whether or not the degree of freedom arrows are displayed. More...
 
bool DisplayObjectColor ()
 Returns the setting that controls whether or not sketch objects should be displayed in their true color
Created in NX6.0.0. More...
 
bool DisplayObjectName ()
 Returns the setting that controls whether or not objects are displayed with their names in sketch. More...
 
bool DisplayParenthesesOnReferenceDimensions ()
 Returns the setting that controls whether or not to display parentheses on reference dimensions
Created in NX11.0.1. More...
 
bool DisplayReferenceGeometry ()
 Returns the setting that controls whether or not the reference geometry are displayed on inactive sketches. More...
 
bool DisplaySectionMappingWarning ()
 Returns the display section mapping warning flag. More...
 
bool DisplayVertices ()
 Returns the setting that controls whether or not to display sketch vertices. More...
 
bool DynamicConstraintDisplay ()
 Returns the setting that controls whether or not constraint symbols are displayed if the associated geometry is very small. More...
 
double FixedTextSize ()
 Returns the dimension text size when the text size fixed flag is set. More...
 
NXOpen::Preferences::SessionSketch::GroupConstraintType GroupConstraintOption ()
 Returns the sketch group external constraint management option
Created in NX11.0.0. More...
 
bool MaintainBlankStatus ()
 Returns the setting that controls whether or not previously blanked objects will be visible when a sketch is activated
Created in NX6.0.0. More...
 
bool MaintainLayerStatus ()
 Returns the setting that controls whether or not the work layer remains the same or returns to its previous value when a sketch is deactivated. More...
 
NXOpen::Preferences::SessionSketch::OriginType OriginOption ()
 Returns the origin option
More...
 
bool RetainDimensions ()
 Returns the retain dimensions flag. More...
 
NXOpen::Preferences::SessionSketch::RigidSetConstraintType RigidSetConstraintOption ()
 Returns the rigid set external constraint management option
More...
 
bool ScaleOnFirstDrivingDimension ()
 Returns the setting that controls whether or not the entire active sketch is scaled about the sketch origin when the first non-angular driving dimension is applied. More...
 
void SetAutoDimensionsToArcCenter (bool toArcCenter)
 Sets the setting that controls whether or not auto-dimensions are created to arc centers. More...
 
void SetBackgroundOption (NXOpen::Preferences::SessionSketch::BackgroundType backgroundType)
 Sets the background option
Created in NX5.0.0. More...
 
void SetChangeViewOrientation (bool changeViewOrientation)
 Sets the setting that controls whether the view orientation will be changed to align with the sketch when the sketch is activated. More...
 
void SetConstraintSymbolSize (double constraintSymbolSize)
 Sets the constraint symbol size. More...
 
void SetContinuousAutoDimensioning (bool continAutoDim)
 Sets the setting that controls whether or not to continuously create auto dimensions in a sketch. More...
 
void SetCreateInferredConstraints (bool createInferredConstraints)
 Sets the setting that controls whether or not to create inferred constraints
Created in NX6.0.0. More...
 
void SetDefaultArcNamePrefix (const NXString &defaultArcNamePrefix)
 Sets the default arc name prefix
Created in NX3.0.0. More...
 
void SetDefaultArcNamePrefix (const char *defaultArcNamePrefix)
 Sets the default arc name prefix
Created in NX3.0.0. More...
 
void SetDefaultConicNamePrefix (const NXString &defaultConicNamePrefix)
 Sets the default conic name prefix
Created in NX3.0.0. More...
 
void SetDefaultConicNamePrefix (const char *defaultConicNamePrefix)
 Sets the default conic name prefix
Created in NX3.0.0. More...
 
void SetDefaultLineNamePrefix (const NXString &defaultLineNamePrefix)
 Sets the default line name prefix
Created in NX3.0.0. More...
 
void SetDefaultLineNamePrefix (const char *defaultLineNamePrefix)
 Sets the default line name prefix
Created in NX3.0.0. More...
 
void SetDefaultSketchNamePrefix (const NXString &defaultSketchNamePrefix)
 Sets the default sketch name prefix
Created in NX3.0.0. More...
 
void SetDefaultSketchNamePrefix (const char *defaultSketchNamePrefix)
 Sets the default sketch name prefix
Created in NX3.0.0. More...
 
void SetDefaultSplineNamePrefix (const NXString &defaultSplineNamePrefix)
 Sets the default spline name prefix
Created in NX3.0.0. More...
 
void SetDefaultSplineNamePrefix (const char *defaultSplineNamePrefix)
 Sets the default spline name prefix
Created in NX3.0.0. More...
 
void SetDefaultVertexNamePrefix (const NXString &defaultVertexNamePrefix)
 Sets the default vertex name prefix
Created in NX3.0.0. More...
 
void SetDefaultVertexNamePrefix (const char *defaultVertexNamePrefix)
 Sets the default vertex name prefix
Created in NX3.0.0. More...
 
void SetDelayEvaluation (bool delayEvaluation)
 Sets the setting that controls whether or not the sketch should be evaluated when a constraint is added to the sketch. More...
 
void SetDimensionLabel (NXOpen::Preferences::SketchPreferences::DimensionLabelType dimensionLabel)
 Sets the dimension label
Created in NX3.0.0. More...
 
void SetDisplayAutoDimensions (bool displayAutoDimensions)
 Sets the setting that controls whether or not to display auto dimensions
Created in NX11.0.0. More...
 
void SetDisplayConstraintSymbols (bool displayConstraintSymbols)
 Sets the setting that controls whether or not to display constraint symbols
Created in NX8.5.0. More...
 
void SetDisplayDOFArrows (bool displayDOFArrows)
 Sets the setting that controls whether or not the degree of freedom arrows are displayed. More...
 
void SetDisplayObjectColor (bool displayObjColor)
 Sets the setting that controls whether or not sketch objects should be displayed in their true color
Created in NX6.0.0. More...
 
void SetDisplayObjectName (bool displayObjectName)
 Sets the setting that controls whether or not objects are displayed with their names in sketch. More...
 
void SetDisplayParenthesesOnReferenceDimensions (bool displayParentheses)
 Sets the setting that controls whether or not to display parentheses on reference dimensions
Created in NX11.0.1. More...
 
void SetDisplayReferenceGeometry (bool displayReferenceGeometry)
 Sets the setting that controls whether or not the reference geometry are displayed on inactive sketches. More...
 
void SetDisplaySectionMappingWarning (bool displaySectionMappingWarning)
 Sets the display section mapping warning flag. More...
 
void SetDisplayVertices (bool displayVertices)
 Sets the setting that controls whether or not to display sketch vertices. More...
 
void SetDynamicConstraintDisplay (bool dynamicConstraintDisplay)
 Sets the setting that controls whether or not constraint symbols are displayed if the associated geometry is very small. More...
 
void SetFixedTextSize (double fixedTextSize)
 Sets the dimension text size when the text size fixed flag is set. More...
 
void SetGroupConstraintOption (NXOpen::Preferences::SessionSketch::GroupConstraintType constraintType)
 Sets the sketch group external constraint management option
Created in NX11.0.0. More...
 
void SetMaintainBlankStatus (bool keepBlank)
 Sets the setting that controls whether or not previously blanked objects will be visible when a sketch is activated
Created in NX6.0.0. More...
 
void SetMaintainLayerStatus (bool maintainLayerStatus)
 Sets the setting that controls whether or not the work layer remains the same or returns to its previous value when a sketch is deactivated. More...
 
void SetOriginOption (NXOpen::Preferences::SessionSketch::OriginType originType)
 Sets the origin option
More...
 
void SetRetainDimensions (bool retainDimensions)
 Sets the retain dimensions flag. More...
 
void SetRigidSetConstraintOption (NXOpen::Preferences::SessionSketch::RigidSetConstraintType constraintType)
 Sets the rigid set external constraint management option
More...
 
void SetScaleOnFirstDrivingDimension (bool scaleOnFirstDrivingDimension)
 Sets the setting that controls whether or not the entire active sketch is scaled about the sketch origin when the first non-angular driving dimension is applied. More...
 
void SetSnapAngle (double snapAngle)
 Sets the snap angle. More...
 
void SetSolvingTolerance (double tolerance)
 Sets the sketch solving tolerance. More...
 
void SetTextSizeFixed (bool textSizeFixed)
 Sets the setting that controls whether or not dimension text size is fixed. More...
 
void SetUpdateSketchOnly (bool delayModelUpdate)
 Sets the setting that controls whether or not to update only the sketch while sketching using Direct Sketch. More...
 
void SetUseSolvingTolerance (bool useTolerance)
 Sets the setting that controls whether or not to use user input for sketch solving tolerance. More...
 
double SnapAngle ()
 Returns the snap angle. More...
 
double SolvingTolerance ()
 Returns the sketch solving tolerance. More...
 
tag_t Tag () const
 Returns the tag of this object. More...
 
bool TextSizeFixed ()
 Returns the setting that controls whether or not dimension text size is fixed. More...
 
bool UpdateSketchOnly ()
 Returns the setting that controls whether or not to update only the sketch while sketching using Direct Sketch. More...
 
bool UseSolvingTolerance ()
 Returns the setting that controls whether or not to use user input for sketch solving tolerance. More...
 

Detailed Description

Represents the set of sketch preferences applicable to entire session
To obtain an instance of this class, refer to NXOpen::Preferences::SessionPreferences

Created in NX3.0.0.


Member Enumeration Documentation

Describes the available sketch background types.

Enumerator
BackgroundTypeInherit 

Sketch background color is inherited from the parent application.

BackgroundTypePlain 

Sketch background color is forced to the plain background color.

Represents the constraint management option when creating a rigid or scalable sketch group.

Enumerator
GroupConstraintTypePreventConflict 

Preserves external constraints and prevents new conflicts.

GroupConstraintTypePreserveAll 

Preserves all external constraints.

Describes the available sketch origin types.

Enumerator
OriginTypeInferFromPlaneSelection 

Sketch origin is inferred from placement face.

OriginTypeProjectWorkPartOrigin 

Sketch origin is the projection of the work part origin.

Represents the constraint management option when creating a rigid sketch group.


Deprecated:
Deprecated in NX11.0.0. Use Preferences::SessionSketch::GroupConstraintType instead.
Enumerator
RigidSetConstraintTypePreventConflict 

Preserves external constraints and prevents new conflicts.

RigidSetConstraintTypePreserveAll 

Preserves all external constraints.

Member Function Documentation

bool NXOpen::Preferences::SessionSketch::AutoDimensionsToArcCenter ( )

Returns the setting that controls whether or not auto-dimensions are created to arc centers.


Created in NX7.5.0.

License requirements : None

NXOpen::Preferences::SessionSketch::BackgroundType NXOpen::Preferences::SessionSketch::BackgroundOption ( )

Returns the background option
Created in NX5.0.0.



License requirements : None

bool NXOpen::Preferences::SessionSketch::ChangeViewOrientation ( )

Returns the setting that controls whether the view orientation will be changed to align with the sketch when the sketch is activated.


Created in NX3.0.0.

License requirements : None

double NXOpen::Preferences::SessionSketch::ConstraintSymbolSize ( )

Returns the constraint symbol size.


Created in NX8.5.0.

License requirements : None

bool NXOpen::Preferences::SessionSketch::ContinuousAutoDimensioning ( )

Returns the setting that controls whether or not to continuously create auto dimensions in a sketch.


Created in NX7.5.0.

License requirements : None

bool NXOpen::Preferences::SessionSketch::CreateInferredConstraints ( )

Returns the setting that controls whether or not to create inferred constraints
Created in NX6.0.0.



License requirements : None

NXString NXOpen::Preferences::SessionSketch::DefaultArcNamePrefix ( )

Returns the default arc name prefix
Created in NX3.0.0.



License requirements : None

NXString NXOpen::Preferences::SessionSketch::DefaultConicNamePrefix ( )

Returns the default conic name prefix
Created in NX3.0.0.



License requirements : None

NXString NXOpen::Preferences::SessionSketch::DefaultLineNamePrefix ( )

Returns the default line name prefix
Created in NX3.0.0.



License requirements : None

NXString NXOpen::Preferences::SessionSketch::DefaultSketchNamePrefix ( )

Returns the default sketch name prefix
Created in NX3.0.0.



License requirements : None

NXString NXOpen::Preferences::SessionSketch::DefaultSplineNamePrefix ( )

Returns the default spline name prefix
Created in NX3.0.0.



License requirements : None

NXString NXOpen::Preferences::SessionSketch::DefaultVertexNamePrefix ( )

Returns the default vertex name prefix
Created in NX3.0.0.



License requirements : None

bool NXOpen::Preferences::SessionSketch::DelayEvaluation ( )

Returns the setting that controls whether or not the sketch should be evaluated when a constraint is added to the sketch.


Created in NX3.0.0.

License requirements : None

NXOpen::Preferences::SketchPreferences::DimensionLabelType NXOpen::Preferences::SessionSketch::DimensionLabel ( )

Returns the dimension label
Created in NX3.0.0.



License requirements : None

bool NXOpen::Preferences::SessionSketch::DisplayAutoDimensions ( )

Returns the setting that controls whether or not to display auto dimensions
Created in NX11.0.0.



License requirements : None

bool NXOpen::Preferences::SessionSketch::DisplayConstraintSymbols ( )

Returns the setting that controls whether or not to display constraint symbols
Created in NX8.5.0.



License requirements : None

bool NXOpen::Preferences::SessionSketch::DisplayDOFArrows ( )

Returns the setting that controls whether or not the degree of freedom arrows are displayed.


Created in NX3.0.0.

License requirements : None

bool NXOpen::Preferences::SessionSketch::DisplayObjectColor ( )

Returns the setting that controls whether or not sketch objects should be displayed in their true color
Created in NX6.0.0.



License requirements : None

bool NXOpen::Preferences::SessionSketch::DisplayObjectName ( )

Returns the setting that controls whether or not objects are displayed with their names in sketch.


Created in NX9.0.0.

License requirements : None

bool NXOpen::Preferences::SessionSketch::DisplayParenthesesOnReferenceDimensions ( )

Returns the setting that controls whether or not to display parentheses on reference dimensions
Created in NX11.0.1.



License requirements : None

bool NXOpen::Preferences::SessionSketch::DisplayReferenceGeometry ( )

Returns the setting that controls whether or not the reference geometry are displayed on inactive sketches.


Created in NX11.0.1.

License requirements : None

bool NXOpen::Preferences::SessionSketch::DisplaySectionMappingWarning ( )

Returns the display section mapping warning flag.

If this is true, when user exits sketcher, would get a warning that some dependent feature section may require mapping
Created in NX7.5.0.

License requirements : None

bool NXOpen::Preferences::SessionSketch::DisplayVertices ( )

Returns the setting that controls whether or not to display sketch vertices.


Created in NX11.0.0.

License requirements : None

bool NXOpen::Preferences::SessionSketch::DynamicConstraintDisplay ( )

Returns the setting that controls whether or not constraint symbols are displayed if the associated geometry is very small.


Created in NX3.0.0.

License requirements : None

double NXOpen::Preferences::SessionSketch::FixedTextSize ( )

Returns the dimension text size when the text size fixed flag is set.


Created in NX6.0.0.

License requirements : None

NXOpen::Preferences::SessionSketch::GroupConstraintType NXOpen::Preferences::SessionSketch::GroupConstraintOption ( )

Returns the sketch group external constraint management option
Created in NX11.0.0.



License requirements : None

bool NXOpen::Preferences::SessionSketch::MaintainBlankStatus ( )

Returns the setting that controls whether or not previously blanked objects will be visible when a sketch is activated
Created in NX6.0.0.



License requirements : None

bool NXOpen::Preferences::SessionSketch::MaintainLayerStatus ( )

Returns the setting that controls whether or not the work layer remains the same or returns to its previous value when a sketch is deactivated.


Created in NX3.0.0.

License requirements : None

NXOpen::Preferences::SessionSketch::OriginType NXOpen::Preferences::SessionSketch::OriginOption ( )

Returns the origin option

Deprecated:
Deprecated in NX8.0.0.

Use SketchInPlaceBuilder::SetProjectWorkPartOrigin and SketchInPlaceBuilder::SetMakeOriginAssociative and SketchInPlaceBuilder::SetSketchOrigin instead.


Created in NX5.0.0.

License requirements : None

bool NXOpen::Preferences::SessionSketch::RetainDimensions ( )

Returns the retain dimensions flag.

If it is True, sketch dimensions continue to display after a sketch is deactivated.

Deprecated:
Deprecated in NX8.0.1. Use Annotations::AnnotationManager::MakePmi and Annotations::AnnotationManager::RemovePmi with individual dimensions instead.


Created in NX3.0.0.

License requirements : None

NXOpen::Preferences::SessionSketch::RigidSetConstraintType NXOpen::Preferences::SessionSketch::RigidSetConstraintOption ( )

Returns the rigid set external constraint management option

Deprecated:
Deprecated in NX11.0.0.

Use NXOpen::Preferences::SessionSketch::SetGroupConstraintOption instead.


Created in NX9.0.0.

License requirements : None

bool NXOpen::Preferences::SessionSketch::ScaleOnFirstDrivingDimension ( )

Returns the setting that controls whether or not the entire active sketch is scaled about the sketch origin when the first non-angular driving dimension is applied.


Created in NX11.0.0.

License requirements : None

void NXOpen::Preferences::SessionSketch::SetAutoDimensionsToArcCenter ( bool  toArcCenter)

Sets the setting that controls whether or not auto-dimensions are created to arc centers.


Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
toArcCentertoarccenter
void NXOpen::Preferences::SessionSketch::SetBackgroundOption ( NXOpen::Preferences::SessionSketch::BackgroundType  backgroundType)

Sets the background option
Created in NX5.0.0.



License requirements : None

Parameters
backgroundTypebackground type
void NXOpen::Preferences::SessionSketch::SetChangeViewOrientation ( bool  changeViewOrientation)

Sets the setting that controls whether the view orientation will be changed to align with the sketch when the sketch is activated.


Created in NX3.0.0.

License requirements : None

Parameters
changeViewOrientationchange view orientation
void NXOpen::Preferences::SessionSketch::SetConstraintSymbolSize ( double  constraintSymbolSize)

Sets the constraint symbol size.


Created in NX8.5.0.

License requirements : None

Parameters
constraintSymbolSizeconstraint symbol size
void NXOpen::Preferences::SessionSketch::SetContinuousAutoDimensioning ( bool  continAutoDim)

Sets the setting that controls whether or not to continuously create auto dimensions in a sketch.


Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
continAutoDimcontin auto dim
void NXOpen::Preferences::SessionSketch::SetCreateInferredConstraints ( bool  createInferredConstraints)

Sets the setting that controls whether or not to create inferred constraints
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
createInferredConstraintscreate inferred constraints
void NXOpen::Preferences::SessionSketch::SetDefaultArcNamePrefix ( const NXString defaultArcNamePrefix)

Sets the default arc name prefix
Created in NX3.0.0.



License requirements : None

Parameters
defaultArcNamePrefixdefault arc name prefix
void NXOpen::Preferences::SessionSketch::SetDefaultArcNamePrefix ( const char *  defaultArcNamePrefix)

Sets the default arc name prefix
Created in NX3.0.0.



License requirements : None

Parameters
defaultArcNamePrefixdefault arc name prefix
void NXOpen::Preferences::SessionSketch::SetDefaultConicNamePrefix ( const NXString defaultConicNamePrefix)

Sets the default conic name prefix
Created in NX3.0.0.



License requirements : None

Parameters
defaultConicNamePrefixdefault conic name prefix
void NXOpen::Preferences::SessionSketch::SetDefaultConicNamePrefix ( const char *  defaultConicNamePrefix)

Sets the default conic name prefix
Created in NX3.0.0.



License requirements : None

Parameters
defaultConicNamePrefixdefault conic name prefix
void NXOpen::Preferences::SessionSketch::SetDefaultLineNamePrefix ( const NXString defaultLineNamePrefix)

Sets the default line name prefix
Created in NX3.0.0.



License requirements : None

Parameters
defaultLineNamePrefixdefault line name prefix
void NXOpen::Preferences::SessionSketch::SetDefaultLineNamePrefix ( const char *  defaultLineNamePrefix)

Sets the default line name prefix
Created in NX3.0.0.



License requirements : None

Parameters
defaultLineNamePrefixdefault line name prefix
void NXOpen::Preferences::SessionSketch::SetDefaultSketchNamePrefix ( const NXString defaultSketchNamePrefix)

Sets the default sketch name prefix
Created in NX3.0.0.



License requirements : None

Parameters
defaultSketchNamePrefixdefault sketch name prefix
void NXOpen::Preferences::SessionSketch::SetDefaultSketchNamePrefix ( const char *  defaultSketchNamePrefix)

Sets the default sketch name prefix
Created in NX3.0.0.



License requirements : None

Parameters
defaultSketchNamePrefixdefault sketch name prefix
void NXOpen::Preferences::SessionSketch::SetDefaultSplineNamePrefix ( const NXString defaultSplineNamePrefix)

Sets the default spline name prefix
Created in NX3.0.0.



License requirements : None

Parameters
defaultSplineNamePrefixdefault spline name prefix
void NXOpen::Preferences::SessionSketch::SetDefaultSplineNamePrefix ( const char *  defaultSplineNamePrefix)

Sets the default spline name prefix
Created in NX3.0.0.



License requirements : None

Parameters
defaultSplineNamePrefixdefault spline name prefix
void NXOpen::Preferences::SessionSketch::SetDefaultVertexNamePrefix ( const NXString defaultVertexNamePrefix)

Sets the default vertex name prefix
Created in NX3.0.0.



License requirements : None

Parameters
defaultVertexNamePrefixdefault vertex name prefix
void NXOpen::Preferences::SessionSketch::SetDefaultVertexNamePrefix ( const char *  defaultVertexNamePrefix)

Sets the default vertex name prefix
Created in NX3.0.0.



License requirements : None

Parameters
defaultVertexNamePrefixdefault vertex name prefix
void NXOpen::Preferences::SessionSketch::SetDelayEvaluation ( bool  delayEvaluation)

Sets the setting that controls whether or not the sketch should be evaluated when a constraint is added to the sketch.


Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

Parameters
delayEvaluationdelay evaluation
void NXOpen::Preferences::SessionSketch::SetDimensionLabel ( NXOpen::Preferences::SketchPreferences::DimensionLabelType  dimensionLabel)

Sets the dimension label
Created in NX3.0.0.



License requirements : None

Parameters
dimensionLabeldimension label
void NXOpen::Preferences::SessionSketch::SetDisplayAutoDimensions ( bool  displayAutoDimensions)

Sets the setting that controls whether or not to display auto dimensions
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
displayAutoDimensionsdisplay auto dimensions
void NXOpen::Preferences::SessionSketch::SetDisplayConstraintSymbols ( bool  displayConstraintSymbols)

Sets the setting that controls whether or not to display constraint symbols
Created in NX8.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
displayConstraintSymbolsdisplay constraint symbols
void NXOpen::Preferences::SessionSketch::SetDisplayDOFArrows ( bool  displayDOFArrows)

Sets the setting that controls whether or not the degree of freedom arrows are displayed.


Created in NX3.0.0.

License requirements : None

Parameters
displayDOFArrowsdisplay d o f arrows
void NXOpen::Preferences::SessionSketch::SetDisplayObjectColor ( bool  displayObjColor)

Sets the setting that controls whether or not sketch objects should be displayed in their true color
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
displayObjColordisplay obj color
void NXOpen::Preferences::SessionSketch::SetDisplayObjectName ( bool  displayObjectName)

Sets the setting that controls whether or not objects are displayed with their names in sketch.


Created in NX9.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
displayObjectNamedisplayobjectname
void NXOpen::Preferences::SessionSketch::SetDisplayParenthesesOnReferenceDimensions ( bool  displayParentheses)

Sets the setting that controls whether or not to display parentheses on reference dimensions
Created in NX11.0.1.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
displayParenthesesdisplayparentheses
void NXOpen::Preferences::SessionSketch::SetDisplayReferenceGeometry ( bool  displayReferenceGeometry)

Sets the setting that controls whether or not the reference geometry are displayed on inactive sketches.


Created in NX11.0.1.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
displayReferenceGeometrydisplayreferencegeometry
void NXOpen::Preferences::SessionSketch::SetDisplaySectionMappingWarning ( bool  displaySectionMappingWarning)

Sets the display section mapping warning flag.

If this is true, when user exits sketcher, would get a warning that some dependent feature section may require mapping
Created in NX7.5.0.

License requirements : None

Parameters
displaySectionMappingWarningdisplaysectionmappingwarning
void NXOpen::Preferences::SessionSketch::SetDisplayVertices ( bool  displayVertices)

Sets the setting that controls whether or not to display sketch vertices.


Created in NX11.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
displayVerticesdisplayvertices
void NXOpen::Preferences::SessionSketch::SetDynamicConstraintDisplay ( bool  dynamicConstraintDisplay)

Sets the setting that controls whether or not constraint symbols are displayed if the associated geometry is very small.


Created in NX3.0.0.

License requirements : None

Parameters
dynamicConstraintDisplaydynamic constraint display
void NXOpen::Preferences::SessionSketch::SetFixedTextSize ( double  fixedTextSize)

Sets the dimension text size when the text size fixed flag is set.


Created in NX6.0.0.

License requirements : None

Parameters
fixedTextSizefixed text size
void NXOpen::Preferences::SessionSketch::SetGroupConstraintOption ( NXOpen::Preferences::SessionSketch::GroupConstraintType  constraintType)

Sets the sketch group external constraint management option
Created in NX11.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
constraintTypeconstrainttype
void NXOpen::Preferences::SessionSketch::SetMaintainBlankStatus ( bool  keepBlank)

Sets the setting that controls whether or not previously blanked objects will be visible when a sketch is activated
Created in NX6.0.0.



License requirements : None

Parameters
keepBlankkeep blank
void NXOpen::Preferences::SessionSketch::SetMaintainLayerStatus ( bool  maintainLayerStatus)

Sets the setting that controls whether or not the work layer remains the same or returns to its previous value when a sketch is deactivated.


Created in NX3.0.0.

License requirements : None

Parameters
maintainLayerStatusmaintain layer status
void NXOpen::Preferences::SessionSketch::SetOriginOption ( NXOpen::Preferences::SessionSketch::OriginType  originType)

Sets the origin option

Deprecated:
Deprecated in NX8.0.0.

Use SketchInPlaceBuilder::SetProjectWorkPartOrigin and SketchInPlaceBuilder::SetMakeOriginAssociative and SketchInPlaceBuilder::SetSketchOrigin instead.


Created in NX5.0.0.

License requirements : None

Parameters
originTypeorigin type
void NXOpen::Preferences::SessionSketch::SetRetainDimensions ( bool  retainDimensions)

Sets the retain dimensions flag.

If it is True, sketch dimensions continue to display after a sketch is deactivated.

Deprecated:
Deprecated in NX8.0.1. Use Annotations::AnnotationManager::MakePmi and Annotations::AnnotationManager::RemovePmi with individual dimensions instead.


Created in NX3.0.0.

License requirements : None

Parameters
retainDimensionsretain dimensions
void NXOpen::Preferences::SessionSketch::SetRigidSetConstraintOption ( NXOpen::Preferences::SessionSketch::RigidSetConstraintType  constraintType)

Sets the rigid set external constraint management option

Deprecated:
Deprecated in NX11.0.0.

Use NXOpen::Preferences::SessionSketch::SetGroupConstraintOption instead.


Created in NX9.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
constraintTypeconstrainttype
void NXOpen::Preferences::SessionSketch::SetScaleOnFirstDrivingDimension ( bool  scaleOnFirstDrivingDimension)

Sets the setting that controls whether or not the entire active sketch is scaled about the sketch origin when the first non-angular driving dimension is applied.


Created in NX11.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
scaleOnFirstDrivingDimensionscaleonfirstdrivingdimension
void NXOpen::Preferences::SessionSketch::SetSnapAngle ( double  snapAngle)

Sets the snap angle.

This is snap angle tolerance for vertical, horizontal, parallel, and perpendicular lines.The default value is 3 and maximum value is 20
Created in NX3.0.0.

License requirements : None

Parameters
snapAnglesnap angle
void NXOpen::Preferences::SessionSketch::SetSolvingTolerance ( double  tolerance)

Sets the sketch solving tolerance.

This specifies the maximum allowable distance when solving the sketch constraints. The tolerance value must be greater than 1e-08.
Created in NX8.5.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
tolerancetolerance
void NXOpen::Preferences::SessionSketch::SetTextSizeFixed ( bool  textSizeFixed)

Sets the setting that controls whether or not dimension text size is fixed.

If it is True, text size adjusts opposite of zoom scale so that dimensions appear a constant size.
Created in NX4.0.0.

License requirements : None

Parameters
textSizeFixedtext size fixed
void NXOpen::Preferences::SessionSketch::SetUpdateSketchOnly ( bool  delayModelUpdate)

Sets the setting that controls whether or not to update only the sketch while sketching using Direct Sketch.

When this preference is set to false, an update will propagate through the whole model
Created in NX8.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
delayModelUpdatedelay model update
void NXOpen::Preferences::SessionSketch::SetUseSolvingTolerance ( bool  useTolerance)

Sets the setting that controls whether or not to use user input for sketch solving tolerance.


Created in NX8.5.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")

Parameters
useToleranceusetolerance
double NXOpen::Preferences::SessionSketch::SnapAngle ( )

Returns the snap angle.

This is snap angle tolerance for vertical, horizontal, parallel, and perpendicular lines.The default value is 3 and maximum value is 20
Created in NX3.0.0.

License requirements : None

double NXOpen::Preferences::SessionSketch::SolvingTolerance ( )

Returns the sketch solving tolerance.

This specifies the maximum allowable distance when solving the sketch constraints. The tolerance value must be greater than 1e-08.
Created in NX8.5.0.

License requirements : None

tag_t NXOpen::Preferences::SessionSketch::Tag ( ) const

Returns the tag of this object.

bool NXOpen::Preferences::SessionSketch::TextSizeFixed ( )

Returns the setting that controls whether or not dimension text size is fixed.

If it is True, text size adjusts opposite of zoom scale so that dimensions appear a constant size.
Created in NX4.0.0.

License requirements : None

bool NXOpen::Preferences::SessionSketch::UpdateSketchOnly ( )

Returns the setting that controls whether or not to update only the sketch while sketching using Direct Sketch.

When this preference is set to false, an update will propagate through the whole model
Created in NX8.0.0.

License requirements : None

bool NXOpen::Preferences::SessionSketch::UseSolvingTolerance ( )

Returns the setting that controls whether or not to use user input for sketch solving tolerance.


Created in NX8.5.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.